﻿
@{
    Layout = null;
}

<!DOCTYPE html>

<html>
<head>
    <meta name="viewport" content="width=device-width" />
    @Html.Partial("_scripts")
    <link rel="stylesheet" href="~/css/third.min.css" type="text/css" />
    <style>


        .container {
            margin-top: 20px;
        }

        td, th {
            padding: 5px;
        }
    </style>
    <title>Moderator</title>
</head>
<body>
    <div class="container" id="app">
        <a href="/@ViewBag.gridCode/BitBox/Grid" target="_blank">Ouvrir la grille</a>
        <form>
            <div class="form-group row">
                <label class="sr-only" for="inlineFormInput">User</label>
                <input v-model="user" type="text" class="form-control mb-2 mr-sm-2 mb-sm-0" id="inlineFormInput" placeholder="Jane Doe">
            </div>
            <div class="form-group row">
                <label class="sr-only" for="inlineFormInputGroup">Case n°</label>
                <div class="input-group mb-2 mr-sm-2 mb-sm-0">
                    <div class="input-group-addon">#</div>
                    <input v-model="caseId" type="text" class="form-control" id="inlineFormInputGroup" placeholder="Case n°">
                </div>
            </div>
            <div class="form-group row">
                <button type="button" class="btn btn-primary" v-on:click="reserve">Submit</button>
            </div>
        </form>
        <hr />
        <table border="0">
            <tr>
                <td>Grille: </td>
                <td><a href="http://@Context.Request.Host/@ViewBag.gridCode/BitBox/Grid">http://@Context.Request.Host/@ViewBag.gridCode/BitBox/Grid</td></a>
            </tr>
            <tr>
                <td>Dernier cadeau ouvert: </td>
                <td><a href="http://@Context.Request.Host/@ViewBag.gridCode/BitBox/LastOpened">http://@Context.Request.Host/@ViewBag.gridCode/BitBox/LastOpened</td></a>
            </tr>
        </table>
        <hr />
        <div v-if="queue">
            <table border="0">
                <tbody>
                    <tr>
                        <th>Case n°</th>
                        <th>Viewer</th>
                        <th></th>
                        <th></th>
                    </tr>
                    <tr v-for="item in queue">
                        <td>{{ item.reservedId }}</td>
                        <td>{{ item.reservedFor }}</td>
                        <td><button type="button" class="btn btn-danger" v-on:click="remove(item.reservedId)">&nbsp;X&nbsp;</button></td>
                        <td><button type="button" class="btn btn-primary" v-on:click="open(item.reservedId)">Open</button></td>
                    </tr>
                </tbody>
            </table>
        </div>
    </div>
    <script src="~/js/moderator.min.js" type="text/javascript"></script>
</body>
</html>